package com.nmgs.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nmgs.entity.ServiceAreaOperators;

import java.util.List;
import java.util.Map;

public interface IOperatorsService {


    /**
     * 分页查询运营人员数据
     * @param params
     * @return
     */
    Page<ServiceAreaOperators> getOperatorsList(Map<String, Object> params);

    /**
     *
     * 保存数据
     * @param operators
     * @return
     */
    int addOperators(ServiceAreaOperators operators) throws Exception;

    /**
     * 修改数据
     * @param operators
     * @return
     */
    int updateOperators(ServiceAreaOperators operators)throws Exception;

    /**
     * 删除运营人员数据
     * @param operators
     * @return
     */
    int deleteOperators(List<ServiceAreaOperators> operators)throws Exception;

    /**
     * 获取统计数据
     * @param params
     * @return
     */
    Page<ServiceAreaOperators>  getCollectionData(Map<String, Object> params);


    /**
     * 前台登录系统
     * @return
     */
    ServiceAreaOperators login(Map<String, Object> params);

    /**
     * 修改密码
     * @param params
     * @return
     */
    public int updatePassword(Map<String, Object> params);
}
